// Copyright (c) Microsoft Corporation. All rights reserved.

#pragma once

#include <cstddef>
#include <vector>

#include <boost/filesystem.hpp>

#include "CrashAnalysis.h"

namespace Azure::Device::CrashHandler {

std::string GetWatsonReportName();

uint64_t SubmitCrashToUploaderService(
    const boost::filesystem::path& queuePath,
    const CrashAnalysis& analysis,
    const std::vector<boost::filesystem::path>& pathsToAddToReport);
}
